# Poco::Data::ODBC

# class Parameter

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/Parameter.h

## Member Summary

Member Functions: columnSize, dataType, decimalDigits, isNullable, number

## Constructors

### Parameter

explicit Parameter(
const StatementHandle & rStmt,
std::size_t colNum
);

Creates the Parameter.

## Destructor

### ~Parameter

~Parameter();

Destroys the Parameter.

## Member Functions

### columnSize

std::size_t columnSize() const;

Returns the the size of the column or expression of the corresponding parameter marker as defined by the data source.

### dataType

std::size_t dataType() const;

Returns the SQL data type.

### decimalDigits

std::size_t decimalDigits() const;

Returns the number of decimal digits of the column or expression of the corresponding parameter as defined by the data source.

### isNullable

bool isNullable() const;

Returns true if column allows null values, false otherwise.

### number

std::size_t number() const;

Returns the column number.